import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Observable';
import { RPCService } from '@loafer/ng-rpc';
import { MetaInfraType, MetaInfraVendor } from '@overflow/commons-typescript/model/meta';

@Injectable()
export class MetaInfraVendorService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readAllByMetaInfraType(infraType: MetaInfraType): Observable<MetaInfraVendor[]> {
    return this.rpcService.call('MetaInfraVendorService.readAllByMetaInfraType', infraType);
  }
}
